Home » Javascript » javascript – React native warning – your project is using deprecated "rnpm" config, unrecognized command "run-android"

javascript – React native warning – your project is using deprecated "rnpm" config, unrecognized command "run-android"

Posted by: admin February 24, 2020 Leave a comment

Questions:

I have copied an existing RN project and ran npm i

I now get the warning above when I try and use react-native run-android. Why has this started happening?

How can I use run react-native run-android as done previously.

package.json file below:

{
  "name": "tcapp",
  "version": "0.0.1",
  "scripts": {
    "start": "react-native start",
    "android": "react-native run-android",
    "ios": "react-native run-ios",
    "name": "Tomorrows Clinicians",
    "flow": "flow",
    "test": "node ./node_modules/jest/bin/jest.js --watchAll"
  },
  "jest": {
    "preset": "react-native"
  },
  "dependencies": {
    "@babel/plugin-proposal-decorators": "^7.4.4",
    "@babel/runtime": "^7.0.0",
    "@react-native-community/async-storage": "^1.6.1",
    "react": "16.8.5",
    "react-dom": "^16.8.6",
    "react-native": "0.59.10",
    "react-native-circular-progress": "^1.1.0",
    "react-native-component-fade": "^1.0.2",
    "react-native-elements": "^1.1.0",
    "react-native-fade": "^1.0.3",
    "react-native-fade-in-view": "^1.0.5",
    "react-native-gesture-handler": "^1.3.0",
    "react-native-responsive-image": "^2.3.1",
    "react-native-share": "^1.2.1",
    "react-native-splash-screen": "^3.2.0",
    "react-native-svg": "^9.5.1",
    "react-native-vector-icons": "^6.6.0",
    "react-native-view-shot": "^2.6.0",
    "react-native-webview": "^5.12.1",
    "react-native-webview-bridge": "^0.40.1",
    "react-navigation": "^3.0.9",
    "react-navigation-backhandler": "^1.3.2",
    "react-navigation-transitions": "^1.0.11",
    "react-redux": "^6.0.1",
    "redux": "^4.0.1",
    "redux-persist": "^5.10.0",
    "redux-thunk": "^2.3.0"
  },
  "devDependencies": {
    "@babel/cli": "^7.5.5",
    "@babel/core": "^7.5.5",
    "@babel/preset-flow": "^7.0.0",
    "jest": "^24.8.0",
    "metro-react-native-babel-preset": "^0.54.1",
    "prettier": "^1.18.2",
    "react-native-dotenv": "^0.2.0",
    "redux-logger": "^3.0.6"
  },
  "rnpm": {
    "assets": [
      "./assets/fonts"
    ]
  },
  "private": true
}

enter image description here

How to&Answers: